For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DashboardMint Website
  • Getting Started
    • Overview
    • Choose an Integration Path
    • React SDK Quickstart
    • Backend Payment Creation
    • Hosted Payments
  • Reference
    • React SDK Reference
  • API Reference
      • POSTPost V 1 Payments
      • GETGet V 1 Payments Payment Id
      • POSTPost V 1 Payments Crypto Pay Payment Id
      • GETGet V 1 Payments Crypto Pay Payment Id Payer Address Options
      • POSTPost V 1 Payments Payment Id Confirm
LogoLogo
DashboardMint Website
API ReferencePayments

Get V 1 Payments Crypto Pay Payment Id Payer Address Options

GET
https://api.getmint.money/v1/payments/crypto-pay/:paymentId/payer/:address/options
GET
/v1/payments/crypto-pay/:paymentId/payer/:address/options
1const url = 'https://api.getmint.money/v1/payments/crypto-pay/paymentId/payer/address/options';
2const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};
3
4try {
5 const response = await fetch(url, options);
6 const data = await response.json();
7 console.log(data);
8} catch (error) {
9 console.error(error);
10}
200Retrieved
1{
2 "data": [
3 {
4 "id": "string",
5 "kind": "direct",
6 "badge": "string",
7 "estimated_duration_minutes": 1.1,
8 "from_chain": {
9 "caip2": "string",
10 "name": "string",
11 "logo_url": "string",
12 "chain_hex": "string"
13 },
14 "from_token": {
15 "caip21": "string",
16 "name": "string",
17 "symbol": "string",
18 "logo_url": "string",
19 "is_native": true
20 },
21 "balance_raw": "string",
22 "balance_formatted": "string",
23 "balance_display": "string"
24 }
25 ],
26 "meta": {
27 "total": 1.1,
28 "offset": 1.1,
29 "limit": 1.1
30 },
31 "error": "string",
32 "status": 200
33}
Discover supported wallet payment options for a payer address
Was this page helpful?
Previous

Post V 1 Payments Payment Id Confirm

Next
Built with

Authentication

x-api-keystring
API Key authentication via header

Path parameters

paymentIdstringRequiredformat: "uuid"
addressstringRequired

Response

Default Response
datalist of objects
metaobject or null
errorstring or null
statusdoubleDefaults to 200